## PhoshTopPanel

PhoshTopPanel — The top panel

## Functions

GtkWidget * | phosh_top_panel_new ()
void | phosh_top_panel_toggle_fold ()
void | phosh_top_panel_fold ()
void | phosh_top_panel_unfold ()
PhoshTopPanelState | phosh_top_panel_get_state ()

## Signals

void | settings-activated | Run Last

## Types and Values

#define | PHOSH_TYPE_TOP_PANEL
#define | PHOSH_TOP_PANEL_HEIGHT
enum | PhoshTopPanelState
| PhoshTopPanel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── PhoshLayerSurface
                                ╰── PhoshTopPanel

## Implemented Interfaces

PhoshTopPanel implements AtkImplementorIface and GtkBuildable.

## Description

The top panel containing the clock and status indicators. When activated int unfolds the PhoshSettings.

## Functions

### phosh_top_panel_new ()

    GtkWidget *
    phosh_top_panel_new (struct zwlr_layer_shell_v1 *layer_shell,
                         struct wl_output *wl_output);

### phosh_top_panel_toggle_fold ()

    void
    phosh_top_panel_toggle_fold (PhoshTopPanel *self);

### phosh_top_panel_fold ()

    void
    phosh_top_panel_fold (PhoshTopPanel *self);

### phosh_top_panel_unfold ()

    void
    phosh_top_panel_unfold (PhoshTopPanel *self);

### phosh_top_panel_get_state ()

    PhoshTopPanelState
    phosh_top_panel_get_state (PhoshTopPanel *self);

## Types and Values

### PHOSH_TYPE_TOP_PANEL

    #define PHOSH_TYPE_TOP_PANEL            (phosh_top_panel_get_type ())

### PHOSH_TOP_PANEL_HEIGHT

    #define PHOSH_TOP_PANEL_HEIGHT 32

### enum PhoshTopPanelState

#### Members

PHOSH_TOP_PANEL_STATE_FOLDED | Only top-bar is visible |
PHOSH_TOP_PANEL_STATE_UNFOLDED | Settings menu is unfolded |

### PhoshTopPanel

    typedef struct _PhoshTopPanel PhoshTopPanel;

## Signal Details

### The `“settings-activated”` signal

    void
    user_function (PhoshTopPanel *phoshtoppanel,
                   gpointer       user_data)

Flags: Run Last